<template>
    <div class="home">
        <div class="container">
            <div v-for="(risk, idx) in risktypes" :key="idx">
                <RiskForm :risk="risk"></RiskForm>
            </div>
        </div>
    </div>
</template>

<script>
import RiskForm from "../components/RiskForm";
import { apiService } from "../common/api.service.js";

export default {
    name: "home",
    components: {
        RiskForm
    },
    data() {
        return {
            risktypes: []
        };
    },
    methods: {
        getRiskTypes() {
            let endpoint = "api/risktypes/";
            apiService(endpoint).then(data => {
                this.risktypes.push(...data);
                console.log("-> Risk Types = " + JSON.stringify(data));
            });
        }
    },
    created() {
        document.title = "Create a Risk";
        this.getRiskTypes();
    }
};
</script>
 <style>
h3.card-header {
    background-color: #e9ecef;
}
</style>